<html>
  <head>
    <title>Payfields Test Application</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
    <link rel="stylesheet" href="css/default.css">
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://js.test.paygateway.com/secure_payment/v1/globalpayments.js"></script> 
    <script src="https://cdnjs.cloudflare.com/ajax/libs/crypto-js/3.1.2/rollups/hmac-sha256.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/crypto-js/3.1.2/components/enc-base64-min.js"></script>    
    <script src="js/default.js"></script> 
    <script src="js/payfields.js"></script> 
  </head>
  <body>
    <div class="container">
      <div class="row">
        <!--LEFT SIDE OF PAGE-->
        <div class="col-sm-6">
          <ul class="nav nav-pills">
            <li><a data-toggle="pill" href="#home">card</a></li>
            <li><a data-toggle="pill" href="#customerPane">customer</a></li>
            <li><a data-toggle="pill" href="#paymentPane">payment</a></li>                
            <li><a data-toggle="pill" href="#shippingPane">shipping</a></li>    
            <li><a data-toggle="pill" href="#transactionPane">transaction</a></li>                            
            <li><a data-toggle="pill" href="#receiptPane">receipt</a></li>                
            <li><a data-toggle="pill" href="#accountPane">test account</a></li>                
          </ul>
          <div class="tab-content">
            <div id="home" class="tab-pane fade in active">
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="transactiontypecheckbox" checked disabled/>
                </div>
                <div class="col-sm-5">
                  <label for="transactiontype">transaction type</label>
                </div>
                <div class="col-sm-6 text-right">
                  <select id="transactiontype" onchange="updateEndpoint()">
                    <option value="createsale">CreateSale</option>
                    <option value="aliassale">AliasSale</option>
                    <option value="createauth">CreateAuth</option>
                    <option value="getsale">GetSale</option>
                    <option value="updatesale">UpdateSale</option>
                    <option value="voidsale">VoidSale</option>
                    <option value="returnsale">ReturnSale</option>
                    <option value="getsalerefid">GetSaleReferenceId</option>
                    <option value="updatesalerefid">UpdateSaleReferenceId</option>
                    <option value="voidsalerefid">VoidSaleReferenceId</option>
                    <option value="returnsalerefid">ReturnSaleReferenceId</option>
                  </select>
                </div>
              </div>         
              <div class="row" id="saleidrow" style="display:none">
                <div class="col-sm-1">
                  <input type="checkbox" id="saleidcheckbox" checked disabled />
                </div>
                <div class="col-sm-5">
                  <label for="saleid">sale_id</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="text" id="saleid" oninput="updateEndpoint()" />
                </div>
              </div>
              <div class="row" id="tokenrow" style="display:none">
                <div class="col-sm-1">
                  <input type="checkbox" id="tokenrow" checked disabled />
                </div>
                <div class="col-sm-5">
                  <label for="token">token</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="text" id="token" oninput="updateJson()" />                  
                </div>
              </div>
            </div>
            <!--CUSTOMER PILL-->
            <div id="customerPane" class="tab-pane">
              <!--TITLE-->
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="titlecheckbox" onclick="updateJson()" name="customercheckboxgroup"/>
                </div>
                <div class="col-sm-5">
                  <label for="title" name="customerlabelsgroup">title</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="text" id="title" name="customerinputgroup" oninput="updateJson()"/>
                </div>
              </div>
              <!--FIRST NAME-->
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="firstnamecheckbox" onclick="updateJson()" name="customercheckboxgroup"/>
                </div>
                <div class="col-sm-5">
                  <label for="first_name" name="customerlabelsgroup">first_name</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="text" id="firstname" name="customerinputgroup" oninput="updateJson()"/>
                </div>
              </div>
              <!--MIDDLE NAME-->
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="middlenamecheckbox" onclick="updateJson()" name="customercheckboxgroup"/>
                </div>
                <div class="col-sm-5">
                  <label for="middle_name" name="customerlabelsgroup">middle_name</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="text" id="middlename" name="customerinputgroup" oninput="updateJson()"/>
                </div>
              </div>
              <!--LAST NAME-->
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="lastnamecheckbox" onclick="updateJson()" name="customercheckboxgroup"/>
                </div>
                <div class="col-sm-5">
                  <label for="last_name" name="customerlabelsgroup">last_name</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="text" id="lastname" name="customerinputgroup" oninput="updateJson()"/>
                </div>
              </div>
              <!--BUSINESS NAME-->
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="businessnamecheckbox" onclick="updateJson()" name="customercheckboxgroup"/>
                </div>
                <div class="col-sm-5">
                  <label for="business_name" name="customerlabelsgroup">business_name</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="text" id="businessname" name="customerinputgroup" oninput="updateJson()"/>
                </div>
              </div>
              <!--EMAIL-->
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="emailcheckbox" onclick="updateJson()" name="customercheckboxgroup"/>
                </div>
                <div class="col-sm-5">
                  <label for="email" name="customerlabelsgroup">email</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="text" id="email" name="customerinputgroup" oninput="updateJson()"/>
                </div>
              </div>
              <!--PHONE-->
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="phonecheckbox" onclick="updateJson()" name="customercheckboxgroup"/>
                </div>
                <div class="col-sm-5">
                  <label for="phone" name="customerlabelsgroup">phone</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="text" id="phone" name="customerinputgroup" oninput="updateJson()"/>
                </div>
              </div>
              <!--note-->
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="notecheckbox" onclick="updateJson()" name="customercheckboxgroup"/>
                </div>
                <div class="col-sm-5">
                  <label for="note" name="customerlabelsgroup">note</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="text" id="note" name="customerinputgroup" oninput="updateJson()"/>
                </div>
              </div>
              <!--BILLING_ADDRESS-->
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="billingaddresscheckbox" disabled/>
                </div>
                <div class="col-sm-11">
                  <label>billing_address</label>
                </div>                
              </div>
              <!--LINE 1-->
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="line1checkbox" onclick="updateJson()" name="billingcheckboxgroup"/>
                </div>
                <div class="col-sm-5">
                  <label for="line1" name="billinglabelsgroup">line1</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="text" id="line1" name="billinginputgroup" oninput="updateJson()"/>
                </div>
              </div>
              <!--LINE 2-->
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="line2checkbox" onclick="updateJson()" name="billingcheckboxgroup"/>
                </div>
                <div class="col-sm-5">
                  <label for="line2" name="billinglabelsgroup">line2</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="text" id="line2" name="billinginputgroup" oninput="updateJson()"/>
                </div>
              </div>
              <!--CITY-->
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="citycheckbox" onclick="updateJson()" name="billingcheckboxgroup"/>
                </div>
                <div class="col-sm-5">
                  <label for="city" name="billinglabelsgroup">city</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="text" id="city" name="billinginputgroup" oninput="updateJson()"/>
                </div>
              </div>
              <!--STATE-->
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="statecheckbox" onclick="updateJson()" name="billingcheckboxgroup"/>
                </div>
                <div class="col-sm-5">
                  <label for="state" name="billinglabelsgroup">state</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="text" id="state" name="billinginputgroup" oninput="updateJson()"/>
                </div>
              </div>
              <!--COUNTRY-->
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="countrycheckbox" onclick="updateJson()" name="billingcheckboxgroup"/>
                </div>
                <div class="col-sm-5">
                  <label for="country" name="billinglabelsgroup">country</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="text" id="country" name="billinginputgroup" oninput="updateJson()"/>
                </div>
              </div>
              <!--POSTAL CODE-->
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="postalcodecheckbox" onclick="updateJson()" name="billingcheckboxgroup"/>
                </div>
                <div class="col-sm-5">
                  <label for="postal_code" name="billinglabelsgroup">postal_code</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="text" id="postalcode" name="billinginputgroup" oninput="updateJson()"/>
                </div>
              </div>
            </div>
            <!--PAYMENT PILL-->
            <div id="paymentPane" class="tab-pane">
              <!--AMOUNT-->
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="paymentcheckbox" onclick="updateJson()" name="paymentcheckboxgroup" checked disabled/>
                </div>
                <div class="col-sm-5">
                  <label for="amount" name="paymentlabelsgroup">amount</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="text" id="amount" name="paymentinputgroup" oninput="updateJson()" value="1"/>
                </div>
              </div>
              <!--CURRENCY CODE-->
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="paymentcheckbox" onclick="updateJson()" name="paymentcheckboxgroup" checked disabled/>
                </div>
                <div class="col-sm-5">
                  <label for="currency_code" name="paymentlabelsgroup">currency_code</label>
                </div>
                <div class="col-sm-6 text-right">
                  <select id="currencycode" name="paymentinputgroup" onchange="updateJson()">
                    <option value="036">Australia</option>
                    <option value="124">Canada</option>
                    <option value="554">New Zealand</option>
                    <option value="826">United Kingdom</option>
                    <option value="840">United States</option>
                  </select>                  
                </div>
              </div>
              <!--GRATUITY AMOUNT-->
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="paymentcheckbox" onclick="updateJson()" name="paymentcheckboxgroup"/>
                </div>
                <div class="col-sm-5">
                  <label for="gratuity_amount" name="paymentlabelsgroup">gratuity_amount</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="text" id="gratuityamount" name="paymentinputgroup" oninput="updateJson()"/>
                </div>
              </div>              
              <!--INVOICE NUMBER-->
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="paymentcheckbox" onclick="updateJson()" name="paymentcheckboxgroup"/>
                </div>
                <div class="col-sm-5">
                  <label for="invoice_number" name="paymentlabelsgroup">invoice_number</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="text" id="invoicenumber" name="paymentinputgroup" oninput="updateJson()"/>
                </div>
              </div>           
              <!--REFERENCE ID-->              
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="paymentcheckbox" onclick="updateJson()" name="paymentcheckboxgroup"/>
                </div>
                <div class="col-sm-5">
                  <label for="reference_id" name="paymentlabelsgroup">reference_id</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="text" id="referenceid" name="paymentinputgroup" oninput="updateJson()"/>
                </div>
              </div>              
            </div>
            <!--SHIPPING PILL-->
            <div id="shippingPane" class="tab-pane">
              <!--DATE-->
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="shipdatecheckbox" onclick="updateJson()" name="shippingcheckboxgroup"/>
                </div>
                <div class="col-sm-5">
                  <label for="date" name="shippinglabelsgroup">date</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="text" id="shipdate" name="shippinginputgroup" oninput="updateJson()"/>
                </div>
              </div>    
              <!--ADDRESS-->
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="addresscheckbox" disabled/>
                </div>
                <div class="col-sm-11">
                  <label>address</label>
                </div>
              </div>
              <!--SHIPPING LINE1-->
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="shipaddresscheckbox" onclick="updateJson()" name="shipaddresscheckboxgroup"/>
                </div>
                <div class="col-sm-5">
                  <label for="line1" name="shipaddresslabelsgroup">line1</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="text" id="shipline1" name="shipaddressinputgroup" oninput="updateJson()"/>
                </div>
              </div>    
              <!--SHIPPING LINE2-->
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="shipaddresscheckbox" onclick="updateJson()" name="shipaddresscheckboxgroup"/>
                </div>
                <div class="col-sm-5">
                  <label for="line2" name="shipaddresslabelsgroup">line2</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="text" id="shipline2" name="shipaddressinputgroup" oninput="updateJson()"/>
                </div>
              </div>    
              <!--SHIPPING CITY-->
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="shipaddresscheckbox" onclick="updateJson()" name="shipaddresscheckboxgroup"/>
                </div>
                <div class="col-sm-5">
                  <label for="city" name="shipaddresslabelsgroup">city</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="text" id="shipcity" name="shipaddressinputgroup" oninput="updateJson()"/>
                </div>
              </div>    
              <!--SHIPPING STATE-->
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="shipaddresscheckbox" onclick="updateJson()" name="shipaddresscheckboxgroup"/>
                </div>
                <div class="col-sm-5">
                  <label for="state" name="shipaddresslabelsgroup">state</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="text" id="shipstate" name="shipaddressinputgroup" oninput="updateJson()"/>
                </div>
              </div>    
              <!--SHIPPING COUNTRY-->
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="shipaddresscheckbox" onclick="updateJson()" name="shipaddresscheckboxgroup"/>
                </div>
                <div class="col-sm-5">
                  <label for="country" name="shipaddresslabelsgroup">country</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="text" id="shipcountry" name="shipaddressinputgroup" oninput="updateJson()"/>
                </div>
              </div>    
              <!--SHIPPING POSTAL CODE-->
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="shipaddresscheckbox" onclick="updateJson()" name="shipaddresscheckboxgroup"/>
                </div>
                <div class="col-sm-5">
                  <label for="postal_code" name="shipaddresslabelsgroup">postal_code</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="text" id="shippostalcode" name="shipaddressinputgroup" oninput="updateJson()"/>
                </div>
              </div>    
            </div>
            <!--TRANSACTION PILL-->
            <div id="transactionPane" class="tab-pane">
              <!--COUNTRY CODE-->
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="transactioncheckbox" onclick="updateJson()" name="transactioncheckboxgroup" checked disabled/>
                </div>
                <div class="col-sm-5">
                  <label for="country_code" name="transactionlabelsgroup">country_code</label>
                </div>
                <div class="col-sm-6 text-right">
                  <select id="countrycode" name="transactioninputgroup" oninput="updateJson()">
                    <option value="036">Australia</option>
                    <option value="124">Canada</option>
                    <option value="554">New Zealand</option>
                    <option value="826">United Kingdom</option>
                    <option value="840">United States</option>
                  </select>
                </div>
              </div>  
              <!--LANGUAGE-->
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="transactioncheckbox" onclick="updateJson()" name="transactioncheckboxgroup"/>
                </div>
                <div class="col-sm-5">
                  <label for="language" name="transactionlabelsgroup">language</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="text" id="language" name="transactioninputgroup" oninput="updateJson()"/>
                </div>
              </div>  
              <!--SOFT DESCRIPTOR-->
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="transactioncheckbox" onclick="updateJson()" name="transactioncheckboxgroup"/>
                </div>
                <div class="col-sm-5">
                  <label for="soft_descriptor" name="transactionlabelsgroup">soft_descriptor</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="text" id="softdescriptor" name="transactioninputgroup" oninput="updateJson()"/>
                </div>
              </div>  
              <!--PROCESSING INDICATORS LABEL-->
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="procindlabelcheckbox" disabled/>
                </div>
                <div class="col-sm-11">
                  <label>processing_indicators</label>
                </div>
              </div>
              <!--ADDRESS VERIFICATION SERVICE-->
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="procindcheckbox" onclick="updateJson()" name="procindcheckboxgroup"/>
                </div>
                <div class="col-sm-5">
                  <label for="address_verification_service" name="procindlabelsgroup">address_verification_service</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="checkbox" id="addressverificationservice" name="procindinputgroup" oninput="updateJson()"/>
                </div>
              </div>  
              <!--ALLOW DUPLICATE-->
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="procindcheckbox" onclick="updateJson()" name="procindcheckboxgroup"/>
                </div>
                <div class="col-sm-5">
                  <label for="allow_duplicate" name="procindlabelsgroup">allow_duplicate</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="checkbox" id="allowduplicate" name="procindinputgroup" oninput="updateJson()"/>
                </div>
              </div>  
              <!--CREATE TOKEN-->
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="procindcheckbox" onclick="updateJson()" name="procindcheckboxgroup" data-cbox="procindcbox"/>
                </div>
                <div class="col-sm-5">
                  <label for="create_token" name="procindlabelsgroup">create_token</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="checkbox" id="createtoken" name="procindinputgroup" onclick="updateJson()"/>
                </div>
              </div>  
              <!--GENERATE RECEIPT-->
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="procindcheckbox" onclick="updateJson()" name="procindcheckboxgroup"/>
                </div>
                <div class="col-sm-5">
                  <label for="generate_receipt" name="procindlabelsgroup">generate_receipt</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="checkbox" id="generatereceipt" name="procindinputgroup" onclick="updateJson()"/>
                </div>
              </div>  
              <!--PARTIAL APPROVAL-->
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="procindcheckbox" onclick="updateJson()" name="procindcheckboxgroup"/>
                </div>
                <div class="col-sm-5">
                  <label for="partial_approval" name="procindlabelsgroup">partial_approval</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="checkbox" id="partialapproval" name="procindinputgroup" oninput="updateJson()"/>
                </div>
              </div>  
            </div>
            <!--RECEIPT PILL-->
            <div id="receiptPane" class="tab-pane">
              <!--CLERK ID-->
              <div class="row">
                <div class="col-sm-1">
                  <input type="checkbox" id="receiptcheckbox" onclick="updateJson()" name="receiptcheckboxgroup"/>
                </div>
                <div class="col-sm-5">
                  <label for="clerk_id" name="receiptlabelsgroup">clerk_id</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="text" id="clerkid" name="receiptinputgroup" oninput="updateJson()"/>
                </div>
              </div>  
            </div>
            <!--ACCOUNT PILL-->
            <div id="accountPane" class="tab-pane">              
              <!--ACCOUNT CREDENTIAL-->
              <div class="row">                
                <div class="col-sm-6">
                  <label for="accountcredential" name="accountlabelsgroup">account_credential</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="text" id="accountcredential" name="accountinputgroup" oninput="updateJson()" value="800000001964:80022995:GRrcwQN9UoqjPh1sU5cac0mzgyzyhiRV"/>
                </div>
              </div>  
              <!--PAYFIELDS API KEY-->
              <div class="row">                
                <div class="col-sm-6">
                  <label for="payfieldsapikey" name="accountlabelsgroup" value="9lW1jLUAmFuRg2wjml3uE7w9igp4GDAd">X-GP-Api-Key (PayFields)</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="text" id="payfieldsapikey" name="accountinputgroup" oninput="updateJson()" value="WhRWWEW8UNSYDXJsivAKKiWzuoYRZdDO"/>
                </div>
              </div>  
              <!--TRANSACTIONS API KEY-->
              <div class="row">                
                <div class="col-sm-6">
                  <label for="transactionssapikey" name="accountlabelsgroup">X-GP-Api-Key (Transactions)</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="text" id="transactionsapikey" name="accountinputgroup" oninput="updateJson()" value="RNZQupQJnxL7YYtH6etU5DkYjm4ubwrM"/>
                </div>
              </div>  
              <!--API SECRET-->
              <div class="row">                
                <div class="col-sm-6">
                  <label for="apisecret" name="accountlabelsgroup">api secret</label>
                </div>
                <div class="col-sm-6 text-right">
                  <input type="text" id="apisecret" name="accountinputgroup" oninput="updateJson()" value="pGt7WiIYqi00UtbaRirExYj4kUSqDHUkd02MrbLMY8j"/>
                </div>
              </div>  
            </div>
            <!--LOAD PAYFIELDS-->                        
          </div>
          <div class="row">
            <div class="col-sm-12" id="iframe">
              <iframe id="payfieldsiframe" width="100%" height="250" frameborder="no" scrolling="no"></iframe>
            </div>
          </div>
        </div>
        <!--RIGHT SIDE OF PAGE-->
        <div class="col-sm-6">
          <!--API URL ROW-->
          <div class="row">
            <div class="col-sm-10">
              <pre id="endpoint"></pre>
            </div>            
            <div class="col-sm-2 text-center">
              <input type="button" id="postbutton" value="POST" onclick="posttogateway()"/>
              <br>
              <input type="button" id="authkeybutton" value="AUTH2" onclick="getauthkey()"/>
            </div>                        
          </div>
          <!--JSON DISPLAYED-->
          <div class="row">
            <div class="col-sm-12">
              <pre id="json"></pre>
            </div>
          </div>
          <div class="row">
            <div class="col-sm-12">
              <pre id="responsefromserver"></pre>
            </div>
          </div>
        </div>
      </div>
    </div>
  </body>  
  <script>
    var payfieldsapikey = document.getElementById('payfieldsapikey').value();
    consolelog(payfieldsapikey);

    GlobalPayments.configure({
      'X-GP-Api-Key': payfieldsapikey,
      'X-GP-Environment': 'test'
    });

    var cardForm = GlobalPayments.ui.form({
      fields: {
        'card-number': {
          target: '#card-number' //renders field to <div id=”card-number”> placeholder: “•••• •••• •••• ••••”, //Optional
        },
        'card-expiration': {
          target: '#card-expiration',
          placeholder: 'MM / YYYY'
        },
        'card-cvv': {
          target: '#card-cvv',
          placeholder: '•••'
        },
        'submit': {
          text: 'Submit', //Set text for Submit button
          target: '#submit'
        }
      }
    });


    cardForm.on("token-success", (resp) => {
      window.parent.updateJson(resp.temporary_token);
      window.parent.sendToServer();
    });
    cardForm.on("token-error", (resp) => {
      alert(resp.errors);
    });



  </script>

</html>