var transactionsJson = {};

window.onload = function () {
  $('#endpoint').text('https://api.pit.paygateway.com/transactions/sales');
  $('#saleidrow').hide();
  $('#iframe').hide();
  $('#currencycode').val('840');
  $('#countrycode').val('840');
  updateJson();
};

function posttogateway() {
  if ($('#transactiontype').val() === 'createsale' || $('#transactiontype').val() === 'createauth') {    
    $('#iframe').show();
    $('#payfieldsiframe').attr('src', "payfieldsiframe.php");
  } else {
    $('#iframe').hide();
    sendToServer();
  }
}

function updateEndpoint() {
  $('#saleidrow').show();
  if ($('#transactiontype').val() === 'getsale') {
    $('#iframe').hide();
    $('#tokenrow').hide();
    $('#postbutton').val('GET');
    $('#endpoint').text('https://api.pit.paygateway.com/transactions/sales/' + $('#saleid').val());
  }
  if ($('#transactiontype').val() === 'aliassale') {
    $('#iframe').hide();
    $('#saleidrow').hide();
    $('#tokenrow').show();
    $('#postbutton').val('POST');
    $('#endpoint').text('https://api.pit.paygateway.com/transactions/sales');
  }
  if ($('#transactiontype').val() === 'updatesale') {
    $('#iframe').hide();
    $('#tokenrow').hide();
    $('#postbutton').val('PATCH');
    $('#endpoint').text('https://api.pit.paygateway.com/transactions/sales/' + $('#saleid').val());
  }
  if ($('#transactiontype').val() === 'voidsale') {
    $('#iframe').hide();
    $('#tokenrow').hide();
    $('#postbutton').val('PUT');
    $('#endpoint').text('https://api.pit.paygateway.com/transactions/sales/' + $('#saleid').val() + '/voids');
    updateJson();
  }
  if ($('#transactiontype').val() === 'returnsale') {
    $('#iframe').hide();
    $('#tokenrow').hide();
    $('#endpoint').text('https://api.pit.paygateway.com/transactions/sales/' + $('#saleid').val() + '/returns');
    $('#postbutton').val('POST');
    updateJson();
  }
  if ($('#transactiontype').val() === 'voidsalerefid' ||
          $('#transactiontype').val() === 'returnsalerefid' ||
          $('#transactiontype').val() === 'getsalerefid' ||
          $('#transactiontype').val() === 'updatesalerefid') {
    $('#iframe').hide();
    $('#tokenrow').hide();
    if ($('#transactiontype').val() === 'voidsalerefid')
      $('#endpoint').text('https://api.pit.paygateway.com/transactions/sales/reference_id/' + $('#saleid').val() + '/voids');
    else if ($('#transactiontype').val() === 'getsalerefid')
      $('#endpoint').text('https://api.pit.paygateway.com/transactions/sales/reference_id/' + $('#saleid').val());
    else if ($('#transactiontype').val() === 'updatesalerefid')
      $('#endpoint').text('https://api.pit.paygateway.com/transactions/sales/reference_id/' + $('#saleid').val());
    else
      $('#endpoint').text('https://api.pit.paygateway.com/transactions/sales/reference_id/' + $('#saleid').val() + '/returns');
  }
  if ($('#transactiontype').val() === 'createsale' || $('#transactiontype').val() === 'createauth') {
    $('#saleidrow').hide();
    $('#tokenrow').hide();
    $('#postbutton').val('POST');
    if ($('#transactiontype').val() === 'createsale')
      $('#endpoint').text('https://api.pit.paygateway.com/transactions/sales');
    else
      $('#endpoint').text('https://api.pit.paygateway.com/transactions/auths');
  }
  updateJson();
}


function updateJson(temptoken) {  
  console.log(payfieldsapikey);
  transactionsJson.card = {};
  transactionsJson.card['temporary_token'] = temptoken;


  // add all customer key/value pairs to JSON        
  var custlabels = document.getElementsByName('customerlabelsgroup');
  var custcheckboxes = document.getElementsByName('customercheckboxgroup');
  var custinput = document.getElementsByName('customerinputgroup');
  var customerkeys = [];
  var customervalues = [];
  for (var i = 0; i < custcheckboxes.length; i++) {
    if (custcheckboxes[i].checked) {
      customerkeys.push(custlabels[i]);
      customervalues.push(custinput[i]);
    }
  }
  if (customerkeys.length !== 0) {
    transactionsJson.customer = {};
    for (var i = 0; i < customerkeys.length; i++) {
      var key = customerkeys[i].getAttribute('for');
      var value = customervalues[i];
      transactionsJson.customer[key] = value.value;      
    }
  }

  // add all billing key/value pairs to JSON
  var billinglabels = document.getElementsByName('billinglabelsgroup');
  var billingcheckboxes = document.getElementsByName('billingcheckboxgroup');
  var billinginput = document.getElementsByName('billinginputgroup');
  var billingkeys = [];
  var billingvalues = [];
  for (var i = 0; i < billingcheckboxes.length; i++) {
    if (billingcheckboxes[i].checked) {
      billingkeys.push(billinglabels[i]);
      billingvalues.push(billinginput[i]);
    }
  }
  if (billingkeys.length !== 0 && customerkeys.length === 0) {
    transactionsJson.customer = {};
    document.getElementById('billingaddresscheckbox').checked = true;
  } else {
    document.getElementById('billingaddresscheckbox').checked = false;
  }

  if (billingkeys.length === 0 && customerkeys.length === 0) {
    //document.getElementById('billingaddresscheckbox').checked = false;
  }
  if (billingkeys.length !== 0) {
    transactionsJson.customer.billing_address = {};
    for (var i = 0; i < billingkeys.length; i++) {
      var key = billingkeys[i].getAttribute('for');
      var value = billingvalues[i];
      transactionsJson.customer.billing_address[key] = value.value;
    }
  }
  // if not customer and billing keys are checked, delete the whole customer section
  if (customerkeys.length === 0 && billingkeys.length === 0)
    delete transactionsJson.customer;

  // add all payment key/value pairs to JSON
  var paymentlabels = document.getElementsByName('paymentlabelsgroup');
  var paymentcheckboxes = document.getElementsByName('paymentcheckboxgroup');
  var paymentinput = document.getElementsByName('paymentinputgroup');
  var paymentkeys = [];
  var paymentvalues = [];
  for (var i = 0; i < paymentcheckboxes.length; i++) {
    if (paymentcheckboxes[i].checked) {
      paymentkeys.push(paymentlabels[i]);
      paymentvalues.push(paymentinput[i]);
    }
  }
  if (paymentkeys.length !== 0) {
    transactionsJson.payment = {};
    for (var i = 0; i < paymentkeys.length; i++) {
      var key = paymentkeys[i].getAttribute('for');
      var value = paymentvalues[i];
      transactionsJson.payment[key] = value.value;
    }
  }

  // add all shipping key/value pairs to JSON    
  if ($('#shipdatecheckbox').prop("checked") === true) {
    transactionsJson.shipping = {};
    transactionsJson.shipping['date'] = "ff";
  }
  var shippinglabels = document.getElementsByName('shippinglabelsgroup');
  var shippingcheckboxes = document.getElementsByName('shippingcheckboxgroup');
  var shippinginput = document.getElementsByName('shippinginputgroup');
  var shippingkeys = [];
  var shippingvalues = [];
  for (var i = 0; i < shippingcheckboxes.length; i++) {
    if (shippingcheckboxes[i].checked) {
      shippingkeys.push(shippinglabels[i]);
      shippingvalues.push(shippinginput[i]);
    }
  }
  if (shippingkeys.length !== 0) {
    transactionsJson.shipping = {};
    for (var i = 0; i < shippingkeys.length; i++) {
      var key = shippingkeys[i].getAttribute('for');
      var value = shippingvalues[i];
      transactionsJson.shipping[key] = value.value;
    }
  }

  // add all shipping address key/value pairs to JSON
  var shipaddresslabels = document.getElementsByName('shipaddresslabelsgroup');
  var shipaddresscheckboxes = document.getElementsByName('shipaddresscheckboxgroup');
  var shipaddressinput = document.getElementsByName('shipaddressinputgroup');
  var shipaddresskeys = [];
  var shipaddressvalues = [];
  for (var i = 0; i < shipaddresscheckboxes.length; i++) {
    if (shipaddresscheckboxes[i].checked) {
      shipaddresskeys.push(shipaddresslabels[i]);
      shipaddressvalues.push(shipaddressinput[i]);
    }
  }
  if (shipaddresskeys.length !== 0 && shippingkeys.length === 0) {
    transactionsJson.shipping = {};
    document.getElementById('addresscheckbox').checked = true;
  } else if (shipaddresskeys.length === 0 && $('#shipdatecheckbox').prop("checked") === false) {
    delete transactionsJson.shipping;
    document.getElementById('addresscheckbox').checked = false;
  }
  if (shipaddresskeys.length === 0 && shippingkeys.length === 0) {
  }
  if (shipaddresskeys.length !== 0) {
    transactionsJson.shipping.address = {};
    for (var i = 0; i < shipaddresskeys.length; i++) {
      var key = shipaddresskeys[i].getAttribute('for');
      var value = shipaddressvalues[i];
      transactionsJson.shipping.address[key] = value.value;
    }
  }

  // add all transaction key/value pairs to JSON
  var transactionlabels = document.getElementsByName('transactionlabelsgroup');
  var transactioncheckboxes = document.getElementsByName('transactioncheckboxgroup');
  var transactioninput = document.getElementsByName('transactioninputgroup');
  var transactionkeys = [];
  var transactionvalues = [];
  for (var i = 0; i < transactioncheckboxes.length; i++) {
    if (transactioncheckboxes[i].checked) {
      transactionkeys.push(transactionlabels[i]);
      transactionvalues.push(transactioninput[i]);
    }
  }
  if (transactionkeys.length !== 0) {
    transactionsJson.transaction = {};
    for (var i = 0; i < transactionkeys.length; i++) {
      var key = transactionkeys[i].getAttribute('for');
      var value = transactionvalues[i];
      transactionsJson.transaction[key] = value.value;
    }
  }

  // add all processing indicators key/value pairs to JSON

  var procindlabels = document.getElementsByName('procindlabelsgroup');
  var procindcheckboxes = document.getElementsByName('procindcheckboxgroup');
  var procindinput = document.getElementsByName('procindinputgroup');
  var procindkeys = [];
  var procindvalues = [];
  for (var i = 0; i < procindcheckboxes.length; i++) {
    if (procindcheckboxes[i].checked) {
      procindkeys.push(procindlabels[i]);
      procindvalues.push(procindinput[i]);
    }
  }

  if (procindkeys.length !== 0 && transactionkeys.length !== 0) {
    transactionsJson.transaction.processing_indicators = {};
    document.getElementById('procindlabelcheckbox').checked = true;
    for (var i = 0; i < procindkeys.length; i++) {      
      transactionsJson.transaction.processing_indicators[procindkeys[i].getAttribute('for')] = procindvalues[i].checked;
    }
  } else if (procindkeys.length === 0 && transactionkeys.length === 0) {
    delete transactionsJson.transaction.processing_indicators;
    document.getElementById('procindlabelcheckbox').checked = false;
  } else {
    delete transactionsJson.transaction.processing_indicators;
    document.getElementById('procindlabelcheckbox').checked = false;
  }


  // add all receipt key/value pairs to JSON
  var receiptlabels = document.getElementsByName('receiptlabelsgroup');
  var receiptcheckboxes = document.getElementsByName('receiptcheckboxgroup');
  var receiptinput = document.getElementsByName('receiptinputgroup');
  var receiptkeys = [];
  var receiptvalues = [];
  for (var i = 0; i < receiptcheckboxes.length; i++) {
    if (receiptcheckboxes[i].checked) {
      receiptkeys.push(receiptlabels[i]);
      receiptvalues.push(receiptinput[i]);
    }
  }
  if (receiptkeys.length !== 0) {
    transactionsJson.receipt = {};
    for (var i = 0; i < receiptkeys.length; i++) {
      var key = receiptkeys[i].getAttribute('for');
      var value = receiptvalues[i];
      transactionsJson.receipt[key] = value.value;
    }
  }
  if ($('#transactiontype').val() === 'voidsale') {
    delete transactionsJson.card;
    delete transactionsJson.payment.currency_code;
    delete transactionsJson.transaction.country_code;
    transactionsJson.transaction.processing_indicators = {};
    transactionsJson.payment['amount'] = $('#amount').val();
    transactionsJson.transaction.processing_indicators['generate_receipt'] = document.getElementById('generatereceipt').checked;
  }
  if ($('#transactiontype').val() === 'aliassale') {
    delete transactionsJson.card.temporary_token;
    transactionsJson.card['token'] = $('#token').val();
  }
  if ($('#transactiontype').val() === 'returnsale') {
    delete transactionsJson.card;
    delete transactionsJson.payment.currency_code;
    delete transactionsJson.transaction.country_code;
    transactionsJson.transaction.processing_indicators = {};
    transactionsJson.payment['amount'] = $('#amount').val();
  }
  $('#json').text(JSON.stringify(transactionsJson, null, 4));
}


function sendToServer(transactionsJson) {
  var xhttp = new XMLHttpRequest();
  xhttp.onreadystatechange = function () {
    if (xhttp.readyState === 4 && xhttp.status === 200) {
      document.getElementById('responsefromserver').innerHTML = JSON.stringify(JSON.parse(xhttp.responseText), null, 2);
    } else {
      document.getElementById('responsefromserver').innerHTML = JSON.stringify(JSON.parse(xhttp.responseText), null, 2);
    }
  };
  xhttp.open("POST", "payfields.php", true);
  xhttp.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
  xhttp.send("transactionsJson=" + JSON.stringify(this.transactionsJson) +
          "&url=" + $('#endpoint').text() +
          "&method=" + $('#postbutton').val() +
          "&apisecret=" + $('#apisecret').val() +
          "&payfieldsapikey=" + $('#payfieldsapikey').val() +
          "&transactionsapikey=" + $('#transactionsapikey').val() +
          "&accountcredential=" + $('#accountcredential').val());
}

function getauthkey() {
  var xhttp = new XMLHttpRequest();
  xhttp.onreadystatechange = function () {
    if (xhttp.readyState === 4 && xhttp.status === 200) {
      document.getElementById('responsefromserver').innerHTML = xhttp.responseText;
    } else {
      document.getElementById('responsefromserver').innerHTML = xhttp.status;
    }
  };
  xhttp.open("POST", "authtokenecho.php", true);
  xhttp.setRequestHeader("Content-Type", "application/x-www-form-urlencoded");
  xhttp.send("accountcredential=" + $('#accountcredential').val() +
          "&apisecret=" + $('#apisecret').val() +
          "&apisecret=" + $('#apisecret').val() +
          "&payfieldsapikey=" + $('#payfieldsapikey').val() +
          "&transactionsapikey=" + $('#transactionsapikey').val() +
          "&accountcredential=" + $('#accountcredential').val());
}