<?php

$transactionsJson = $_POST['transactionsJson'];
$transactionsUrl = $_POST['url'];
$method = $_POST['method'];
$microseconds = round(microtime(true) * 1000);
$apisecret = $_POST['apisecret'];
$payfieldsapikey = $_POST['payfieldsapikey'];
$transactionsapikey = $_POST['transactionsapikey'];
$accountcredential = $_POST['accountcredential'];


$v2token = generateAuthTokenV2($apisecret, $accountcredential); // call the function with required inputs to generate AuthToken

# generate v2 authtoken
function generateAuthTokenV2($authapisecret, $accountcredential) {
  $headerObj = new stdClass();
  $headerObj->alg = "HS256";
  $headerObj->typ = "JWT";
  $headerJSON = base64url_encode(json_encode($headerObj));

  $jwtPayloadObj = new stdClass();
  $jwtPayloadObj->account_credential = $accountcredential;
  $jwtPayloadObj->region = "US";
  $jwtPayloadObj->type = "AuthTokenV2";
  $jwtPayloadObj->ts = $GLOBALS['microseconds'];
  $payloadJSON = base64url_encode(json_encode($jwtPayloadObj));

  $signature = base64url_encode(hash_hmac('sha256', "{$headerJSON}.{$payloadJSON}", $authapisecret, true));
  $authToken = "{$headerJSON}.{$payloadJSON}.{$signature}";
  return $authToken;
}

function base64url_encode($data) {
  return strtr(base64_encode($data), '+/', '-_');
}

#generate GUID for request id
function GUID() {
  if (function_exists('com_create_guid') == true) {
    return trim(com_create_guid(), '{}');
  }

  return sprintf('%04X%04X-%04X-%04X-%04X-%04X%04X%04X', mt_rand(0, 65535), mt_rand(0, 65535), mt_rand(0, 65535), mt_rand(16384, 20479), mt_rand(32768, 49151), mt_rand(0, 65535), mt_rand(0, 65535), mt_rand(0, 65535));
}

$requestId = "MER-" . GUID();

$headers = [
    'Content-Type:application/json',
    'X-GP-Request-Id:' . $requestId,
    'X-GP-Version:2019-06-27',
    'Authorization:AuthToken ' . $v2token,
    'X-GP-Api-Key:' . $transactionsapikey
];

$patchheaders = [
    'Content-Type:application/json',
    'X-GP-Request-Id:' . $requestId,
    'X-GP-Version:2019-06-27',
    'Authorization:AuthToken ' . $v2token,
    'X-GP-Api-Key:' . $transactionsapikey,
    'X-HTTP-Method-Override: PATCH'
];


if ($method == 'POST') {
  #create curl resource
  $ch = curl_init($transactionsUrl);
  #attach encoded json string to post fields
  curl_setopt($ch, CURLOPT_POSTFIELDS, $transactionsJson);
  #set content type to application/json
  curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
  #return response instead of outputting
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
  #execute POST request
  $result = curl_exec($ch);
  #close curl resource
  curl_close($ch);
}

if ($method == 'GET') {
  #create curl resource
  $ch = curl_init($transactionsUrl);
  curl_setopt_array($ch, [
      CURLOPT_RETURNTRANSFER => 1,
      CURLOPT_URL => $transactionsUrl,
      CURLOPT_HTTPHEADER => $headers
  ]);
  #execute GET request
  $result = curl_exec($ch);
  #close curl resource
  curl_close($ch);
}

if ($method == 'PATCH') {
  #create curl resource
  $ch = curl_init($transactionsUrl);
  curl_setopt_array($ch, [
      CURLOPT_RETURNTRANSFER => 1,
      CURLOPT_URL => $transactionsUrl,
      CURLOPT_HTTPHEADER => $patchheaders
  ]);
  #execute GET request
  $result = curl_exec($ch);
  #close curl resource*/
  curl_setopt($ch, CURLOPT_CUSTOMREQUEST, $method);
  curl_close($ch);
}

if ($method == 'PUT') {
  #create curl resource
  $ch = curl_init($transactionsUrl);
  curl_setopt_array($ch, [
      CURLOPT_CUSTOMREQUEST => $method,
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_POSTFIELDS => $transactionsJson,
      CURLOPT_HTTPHEADER => $headers
  ]);
  #execute GET request
  $result = curl_exec($ch);
  #close curl resource*/  
  curl_close($ch);
}

echo $result;

?>

