<!DOCTYPE html> 
<html> 
  <head>
    <title>PayFields demo</title>
    <script src="https://js.test.paygateway.com/secure_payment/v1/globalpayments.js"></script> 
    <script src="https://cdnjs.cloudflare.com/ajax/libs/crypto-js/3.1.2/rollups/hmac-sha256.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/crypto-js/3.1.2/components/enc-base64-min.js"></script>    
  </head> 
  <body>
    <form id="payment-form" action="/charge" method="post">
      <!-- Other input fields to capture relevant data -->
      <label for="billing-zip">Billing Zip Code</label>
      <br>
      <input id="billing-zip" name="billing-zip" type="tel" />
      <!-- Targets for the credit card form's fields -->
      <br>
      <label for="card-number">Card Number</label>
      <div id="card-number"></div>
      <label for="card-expiration">Expiry Date</label>
      <div id="card-expiration"></div>
      <label for="card-cvv">CVV</label>
      <div id="card-cvv"></div>
      <label for="amount">Amount</label>
      <br>
      <input id="amount" name="amount" />
      <br><br>
      <div id="submit"></div>
      	<p id="demo"></p>
	</form>     
    <p id="at2"></p>
  </body> 
<script type="text/javascript">
  GlobalPayments.configure({
    'X-GP-Api-Key': 'QwAnDGYZlLNAl6xo9WTZLLMHACbETHqV',
    'X-GP-Environment': 'test'
  });
  
  var cardForm = GlobalPayments.ui.form({
    fields: {
      'card-number': {
        target: '#card-number' //renders field to <div id=”card-number”> placeholder: “•••• •••• •••• ••••”, //Optional
      },
      'card-expiration': {
        target: '#card-expiration',
        placeholder: 'MM / YYYY'
      },
      'card-cvv': {
        target: '#card-cvv',
        placeholder: '•••'
      },
      'submit': {
        text: 'Submit', //Set text for Submit button
        target: '#submit'
      }
    }
  });
  

/**
* This JS method takes accountCredential,region and apiSecret to generate sample AuthTokenV2
*/
function generateAuthTokenV2(accountCredential, region, apiSecret) {  
  if (accountCredential == null || accountCredential == "" || region == null || region == "" || apiSecret== null || apiSecret== "") {
    throw "Mandatory input data is missing";
  }
  try {
    var encodedHeaderJSON = encodeURL(generateEncodedJSONHeader());
    var encodedPayLoadJSON = encodeURL(generateEncodedPayloadJSON(accountCredential, region));
    var encodedSignature = encodeURL(generateHashSignature(encodedHeaderJSON, encodedPayLoadJSON, apiSecret));    
    sendToTransactions(encodedHeaderJSON + "." + encodedPayLoadJSON + "." + encodedSignature);
//    return encodedHeaderJSON + "." + encodedPayLoadJSON + "." + encodedSignature;    
  } catch (err) {
    var errorMsg = "Error While Generating AuthTokenV2 : " + err;
    alert(errorMsg);
    throw errorMsg;
  }
}

function sendToTransactions(authtoken){  
  var data = createJsonObject2();  
  var xhttp2 = new XMLHttpRequest();  
  xhttp2.withCredentials = true;
  xhttp2.onreadystatechange = function(){
    if (xhttp2.readyState == 4 && xhttp2.status == 200){      
      document.getElementById("at2").innerHTML = "html response: " + this.responseText; 
      console.log(this.responseText);
    }if (xhttp2.readyState == 4 && xhttp2.status == 404){
      document.getElementById("at2").innerHTML = "404: " + this.responseText; 
      console.log(this.responseText);
    }
    else{      
      document.getElementById("at2").innerHTML = "error: " + this.readyState + this.responseText; 
      console.log(this.responseText);
    }
  };
//  xhttp2.addEventListener("readystatechange", function (){
//    if (this.readyState === 4){
//      console.log(this.responseText);
//    }
//  });
    
  xhttp2.open("POST", "nodebackend.js", true);
  
//    xhttp2.setRequestHeader("Content-type", "application/json");  
//    xhttp2.setRequestHeader("X-GP-Version", "2019-06-27");      
//    xhttp2.setRequestHeader("Authorization", "AuthToken " + authtoken);  
//    xhttp2.setRequestHeader("X-GP-Api-Key", "9ZB9eOjf9rNJ5NefQBXTfeGpZNFYADsE");     
    xhttp2.send(data);          
}

function createJsonObject(){  
  return JSON.stringify({
          "card":[
            {"temporary_token":temptoken}
          ],
          "payment":[
            {"amount":"3"}, 
            {"currency_code":"840"}
          ],
          "transaction":[
            {"country_code":"840"}
          ]          
        });    
}

function createJsonObject2(){  
  return JSON.stringify({
  "card": {
    "card_number": "4012888888881881",
    "card_security_code": "345",
    "cardholder_name": "Joe Doe",
    "expiry_month": "03",
    "expiry_year": "23"
  },
  "customer": {
    "billing_address": {
      "line1": "5950 cote-des-neiges",
      "city": "montreal",
      "state": "Quebec",
      "country": "Canada",
      "postal_code": "H3V 1B4"
    },
    "first_name": "John",
    "middle_name": "D",
    "last_name": "Smith"
  },
  "payment": {
    "amount": "2972.97",
    "currency_code": "840"
  },
  "shipping": {
    "address": {}
  },
  "transaction": {
    "processing_indicators": {
      "allow_duplicate": true,
      "create_token": true,
      "generate_receipt": true
    },
    "country_code": "840",
    "language": "en-US"
  },
  "receipt": {}
});
}

// Generates JWT Signature
function generateHashSignature(encodedHeaderJSON, encodedPayLoadJSON, apiSecret) {
  var data = encodedHeaderJSON + "." + encodedPayLoadJSON;
  var hash = CryptoJS.HmacSHA256(data, apiSecret);
  return CryptoJS.enc.Base64.stringify(hash);
}

// Generates JWT Payload
function generateEncodedPayloadJSON(accountCredential, region) {
  var payLoadObj = new Object();
  payLoadObj.account_credential = accountCredential;
  payLoadObj.region = region;
  payLoadObj.type = "AuthTokenV2";
  payLoadObj.ts = new Date().getTime();
  return CryptoJS.enc.Base64.stringify(CryptoJS.enc.Utf8.parse(JSON.stringify(payLoadObj)));
}

// Generates JWT Header
function generateEncodedJSONHeader() {
  var headerObj = new Object();
  headerObj.alg = "HS256";
  headerObj.typ = "JWT";
  return CryptoJS.enc.Base64.stringify(CryptoJS.enc.Utf8.parse(JSON.stringify(headerObj)));
}

function encodeURL(encodedSource){
  //Making Base64 URL Safe
  encodedSource = encodedSource.replace(/\+/g, '-');
  encodedSource = encodedSource.replace(/\//g, '_');
  return encodedSource;
}
  
  var temptoken;
  
  
  
  var xhttp = new XMLHttpRequest();
  cardForm.on("token-success", (resp) => {    
    this.temptoken = resp.temporary_token;
    generateAuthTokenV2('800000001868:80033658:PlHHzuEh7dDgeimRr6D3yD2Ja6Gqnt7K','US','qoAvVZH9C6pixXQR5P131xcJqA0Wt6LZo8bU4oGcIji');    
  });

  cardForm.on("token-error", (resp) => {
    alert(resp.errors);
  });
  </script> 
</html>
